--- old/usr/src/cmd/fs.d/hyprlofs/hlcfg/hlcfg.c	2012-09-27 21:07:22.807817876 +0000
+++ new/usr/src/cmd/fs.d/hyprlofs/hlcfg/hlcfg.c	2012-09-27 21:07:22.814536921 +0000
@@ -116,7 +116,7 @@
 	int cnt = 0;
 	int fd;
 	int rv = 0;
-	hyprlofs_entry_t *e;
+	hyprlofs_entry_t *e = NULL;
 	hyprlofs_entries_t ents;
 
 	if (argc < 3) {
--- old/usr/src/cmd/mdb/common/modules/v8/mdb_v8.c	2012-09-27 21:07:22.981117559 +0000
+++ new/usr/src/cmd/mdb/common/modules/v8/mdb_v8.c	2012-09-27 21:07:22.988236224 +0000
@@ -1499,7 +1499,7 @@
 static int
 jsfunc_lineno(uintptr_t lendsp, uintptr_t tokpos, char *buf, size_t buflen)
 {
-	uintptr_t size, bufsz, lower, upper, ii;
+	uintptr_t size, bufsz, lower, upper, ii = 0;
 	uintptr_t *data;
 
 	if (jsobj_is_undefined(lendsp)) {
@@ -2834,7 +2834,7 @@
 	v8_class_t *clp;
 	v8_field_t *flp;
 	const char *klass, *field;
-	uintptr_t offset;
+	uintptr_t offset = 0;
 
 	/*
 	 * We may be invoked with either two arguments (class and field name) or
@@ -2994,7 +2994,7 @@
 static int
 dcmd_v8load(uintptr_t addr, uint_t flags, int argc, const mdb_arg_t *argv)
 {
-	v8_cfg_t *cfgp, **cfgpp;
+	v8_cfg_t *cfgp = NULL, **cfgpp;
 
 	if (v8_classes != NULL) {
 		mdb_warn("v8 module already configured\n");
@@ -3010,7 +3010,7 @@
 			break;
 	}
 
-	if (cfgp->v8cfg_name == NULL) {
+	if (cfgp == NULL || cfgp->v8cfg_name == NULL) {
 		mdb_warn("unknown configuration: \"%s\"\n", argv->a_un.a_str);
 		return (DCMD_ERR);
 	}
--- old/usr/src/cmd/zoneadmd/vplat.c	2012-09-27 21:07:23.248243120 +0000
+++ new/usr/src/cmd/zoneadmd/vplat.c	2012-09-27 21:07:23.256750831 +0000
@@ -1121,7 +1121,7 @@
 	int			err;
 	int			retval = -1;
 	zone_iptype_t		iptype;
-	const char 		*curr_iptype;
+	const char 		*curr_iptype = NULL;
 
 	if (di_prof_init(devpath, &prof)) {
 		zerror(zlogp, B_TRUE, "failed to initialize profile");
@@ -1156,6 +1156,8 @@
 		curr_iptype = "exclusive";
 		break;
 	}
+	if (curr_iptype == NULL)
+		abort();
 
 	if (brand_platform_iter_devices(bh, zone_name,
 	    mount_one_dev_device_cb, prof, curr_iptype) != 0) {
@@ -3194,7 +3196,7 @@
 
 	if (ALT_MOUNT(mount_cmd)) {
 		zone_iptype_t	iptype;
-		const char	*curr_iptype;
+		const char	*curr_iptype = NULL;
 
 		if (zonecfg_get_iptype(snap_hndl, &iptype) != Z_OK) {
 			zerror(zlogp, B_TRUE, "unable to determine ip-type");
@@ -4499,7 +4501,7 @@
 	tsol_zcent_t *zcent = NULL;
 	int match = 0;
 	int doi = 0;
-	int flags;
+	int flags = -1;
 	zone_iptype_t iptype;
 
 	if (zone_get_rootpath(zone_name, rootpath, sizeof (rootpath)) != Z_OK) {
@@ -4521,6 +4523,8 @@
 		flags = ZCF_NET_EXCL;
 		break;
 	}
+	if (flags == -1)
+		abort();
 
 	if ((privs = priv_allocset()) == NULL) {
 		zerror(zlogp, B_TRUE, "%s failed", "priv_allocset");
@@ -4872,6 +4876,8 @@
 				return (-1);
 			}
 			break;
+		default:
+			abort();
 		}
 	}
 
--- old/usr/src/cmd/zoneadmd/zoneadmd.c	2012-09-27 21:07:23.576235756 +0000
+++ new/usr/src/cmd/zoneadmd/zoneadmd.c	2012-09-27 21:07:23.582978321 +0000
@@ -1248,7 +1248,7 @@
 	boolean_t debug;
 	zone_cmd_arg_t *zargp;
 
-	boolean_t kernelcall;
+	boolean_t kernelcall = B_TRUE;
 
 	int rval = -1;
 	uint64_t uniqid;
